<?php
/***
 * function to generate links
 ***/
 function url($str)
 {
  $check = array('include'=>$GLOBALS['include'],
                 'DATA_width'=>$GLOBALS['DATA_width'],
                 'DATA_config'=>$GLOBALS['DATA_config']
                );

  $old_menu=$menu;
  parse_str($str,$params);
  foreach($params as $key=>$val)
  {
   $check[$key]=$val;
  }

  $url = '';
  foreach($check as $key=>$val)
  {
   if($url!='') {$url.='&';}
   $url.=$key."=".$val;
  }
  $url=$_SERVER['PHP_SELF'].'?'.$url;
  //$url='index.php?'.$url;

  return $url;
 }

/***
 * function to nicely print sizes
 ***/
function size($size)
{
 if($size!='unspecified')
 {
  $ret=$size.'&nbsp;B';
  if($size>1024) {$ret=round($size/1024,2).'&nbsp;KB';}
  if($size>1024*1024) {$ret=round($size/(1024*1024),2).'&nbsp;MB';}
  if($size>1024*1024*1024) {$ret=round($size/(1024*1024*1024),2).'&nbsp;GB';}
  if($size>1024*1024*1024*1024) {$ret=round($size/(1024*1024*1024*1024),2).'&nbsp;TB';}
  return $ret;
 }
 else
 {
  if($size==0)
  {
   return ($size.'&nbsp;B');
  }
  else
  {
   return $size;
  }
 }
}

/***
 * function to replace spaces by non-breakable spaces
 ***/
function nobreak($text)
{
 return str_replace(' ','&nbsp;',$text);
}

?>
